# dask.array.full_like

dask.array.full_like(a, fill_value, order='C', dtype=None, chunks=None, name=None, shape=None)

  Return a full array with the same shape and type as a given array.

  Parameters:
    a array_like

      The shape and data-type of a define these same attributes of the returned array.

    fill_value scalar

      Fill value.

    dtype data-type, optional

      Overrides the data type of the result.

    order{‘C’, ‘F’}, optional

      Whether to store multidimensional data in C- or Fortran-contiguous (row- or column-wise) order in memory.

    chunks sequence of ints

      The number of samples on each block. Note that the last block will have fewer samples if `len(array) % chunks != 0`.

    name str, optional

      An optional keyname for the array. Defaults to hashing the input keyword arguments.

    shape int or sequence of ints, optional.

      Overrides the shape of the result.

  Returns:
    out ndarray

      Array of fill_value with the same shape and type as a.

  See also

  `zeros_like`

    Return an array of zeros with shape and type of input.

  `ones_like`

    Return an array of ones with shape and type of input.

  `empty_like`

    Return an empty array with shape and type of input.

  `zeros`

    Return a new array setting values to zero.

  `ones`

    Return a new array setting values to one.

  `empty`

    Return a new uninitialized array.

  `full`

    Fill a new array.